ISWCNTRL(3)

NAME
iswcntrl - test for control wide character

SYNOPSIS
#include <wctype.h>

int iswcntrl(wint_t wc);

DESCRIPTION
The iswcntrl() function is the wide-character equivalent of the iscntrl(3) function. It tests whether wc is a wide character belonging to the wide-character class "cntrl".

The wide-character class "cntrl" is disjoint from the wide-character class "print" and therefore also disjoint from its subclasses "graph", "alpha", "upper", "lower", "digit", "xdigit", "punct".

For an unsigned char c, iscntrl(c) implies iswcntrl(btowc(c)), but not vice versa.

RETURN VALUE
The iswcntrl() function returns non-zero if wc is a wide character belonging to the wide-character class "cntrl". Otherwise it returns zero.

CONFORMING TO
C99.

NOTES
The behavior of iswcntrl() depends on the LC_CTYPE category of the current locale.

SEE ALSO
iscntrl(3), iswctype(3)

COLOPHON
This page is part of release 2.70 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.